Vivaldi сегфолтится [РЕШЕНО]

В общем сабж! На самом деле даже просто и не знаю с чего начать.. С чего копать. В терминале просто "segmentation fault" и всё.
Пробовал накатывать другую версию из репозитория или vivaldi-snapshot - результат тот же самый.
Субъективно (и не обязательно что верно) это кажется началось после того как комп ребутнулся после отрубания света.
На всякий случай пересобрал system - не помогло. Firefox вот работает.

Полагаю что у тебя обновились

Полагаю что у тебя обновились системные библиотеки.
Мне сейчас некогда ковыряться в ебилде Вивалди, но полагаю, что он должен как-то компоноваться с текущими библиотеками - попробуй его пересобрать. Но если там чистый бинарь, то это не поможет. Тогда поковыряй его с ЛДД - посмотри какие библиотеки использует, может потом какие новые мысли появятся.

/

Diversant написал(а):
На всякий случай пересобрал system - не помогло.

Странная логика. По мне здесь на всякий случай просится

# emerge -e www-client/vivaldi

Ну и, если не поможет, следующим шагом стоит попробовать получить читаемую расшифровку корки.

:wq
--
Live free or die

Anarchist

Anarchist написал(а):
Странная логика. По мне здесь на всякий случай просится

# emerge -e www-client/vivaldi

Ну и, если не поможет, следующим шагом стоит попробовать получить читаемую расшифровку корки.

И это сделал, до того как здесь увидел даже. Не помогло. Насчёт последнего не понял шо це и как.

/

Diversant написал(а):
Насчёт последнего не понял шо це и как.

https://wiki.gentoo.org/wiki/Project:Quality_Assurance/Backtraces#Core_dumps

Сначала включаешь запись core. Лично я полагаю правильным во избежание неприятных сюрпризов (браузеры чем новее, тем жырнее) писать в выделенный каталог. Дэвы предпочитают куда-нибудь в /var/….

И тебе и дэвам интересен выхлоп

$ gdb -q $(which crashing-program) --core core

:wq
--
Live free or die

А что там с библиотеками?

Покажи

ldd БинарникВивалди

ldd /opt/vivaldi/vivaldi-bin

ldd /opt/vivaldi/vivaldi-bin 
        linux-vdso.so.1 (0x00007ffcbb7f6000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f6c7e55a000)
        libffmpeg.so => /opt/vivaldi/lib/libffmpeg.so (0x00007f6c7e2d1000)
        libc.so.6 => /lib64/libc.so.6 (0x00007f6c7df22000)
        /lib64/ld-linux-x86-64.so.2 (0x00007f6c7e77a000)
        libm.so.6 => /lib64/libm.so.6 (0x00007f6c7dc0c000)
        libgcc_s.so.1 => /usr/lib/gcc/x86_64-pc-linux-gnu/6.4.0/libgcc_s.so.1 (0x00007f6c7d9f5000)
        libdl.so.2 => /lib64/libdl.so.2 (0x00007f6c7d7f1000)
        libpangocairo-1.0.so.0 => /usr/lib64/libpangocairo-1.0.so.0 (0x00007f6c7d5e4000)
        libpango-1.0.so.0 => /usr/lib64/libpango-1.0.so.0 (0x00007f6c7d396000)
        libcairo.so.2 => /usr/lib64/libcairo.so.2 (0x00007f6c7d081000)
        libgobject-2.0.so.0 => /usr/lib64/libgobject-2.0.so.0 (0x00007f6c7ce2e000)
        libglib-2.0.so.0 => /usr/lib64/libglib-2.0.so.0 (0x00007f6c7cb1b000)
        libX11.so.6 => /usr/lib64/libX11.so.6 (0x00007f6c7c7de000)
        libX11-xcb.so.1 => /usr/lib64/libX11-xcb.so.1 (0x00007f6c7c5dc000)
        libxcb.so.1 => /usr/lib64/libxcb.so.1 (0x00007f6c7c3b3000)
        libXcomposite.so.1 => /usr/lib64/libXcomposite.so.1 (0x00007f6c7c1b0000)
        libXcursor.so.1 => /usr/lib64/libXcursor.so.1 (0x00007f6c7bfa5000)
        libXdamage.so.1 => /usr/lib64/libXdamage.so.1 (0x00007f6c7bda2000)
        libXext.so.6 => /usr/lib64/libXext.so.6 (0x00007f6c7bb90000)
        libXfixes.so.3 => /usr/lib64/libXfixes.so.3 (0x00007f6c7b98a000)
        libXi.so.6 => /usr/lib64/libXi.so.6 (0x00007f6c7b77a000)
        libXrender.so.1 => /usr/lib64/libXrender.so.1 (0x00007f6c7b570000)
        libXtst.so.6 => /usr/lib64/libXtst.so.6 (0x00007f6c7b36a000)
        libgmodule-2.0.so.0 => /usr/lib64/libgmodule-2.0.so.0 (0x00007f6c7b166000)
        libnss3.so => /usr/lib64/libnss3.so (0x00007f6c7ae3b000)
        libnssutil3.so => /usr/lib64/libnssutil3.so (0x00007f6c7ac0b000)
        libsmime3.so => /usr/lib64/libsmime3.so (0x00007f6c7a9e4000)
        libnspr4.so => /usr/lib64/libnspr4.so (0x00007f6c7a7a5000)
        libcups.so.2 => /usr/lib64/libcups.so.2 (0x00007f6c7a51a000)
        libexpat.so.1 => /usr/lib64/libexpat.so.1 (0x00007f6c7a2ef000)
        libfontconfig.so.1 => /usr/lib64/libfontconfig.so.1 (0x00007f6c7a0aa000)
        libdbus-1.so.3 => /usr/lib64/libdbus-1.so.3 (0x00007f6c79e64000)
        libXss.so.1 => /usr/lib64/libXss.so.1 (0x00007f6c79c60000)
        libXrandr.so.2 => /usr/lib64/libXrandr.so.2 (0x00007f6c79a55000)
        libgconf-2.so.4 => /usr/lib64/libgconf-2.so.4 (0x00007f6c79824000)
        libgio-2.0.so.0 => /usr/lib64/libgio-2.0.so.0 (0x00007f6c7948b000)
        libasound.so.2 => /usr/lib64/libasound.so.2 (0x00007f6c79199000)
        libatk-1.0.so.0 => /usr/lib64/libatk-1.0.so.0 (0x00007f6c78f73000)
        libgtk-3.so.0 => /usr/lib64/libgtk-3.so.0 (0x00007f6c78662000)
        libgdk-3.so.0 => /usr/lib64/libgdk-3.so.0 (0x00007f6c783a9000)
        libgdk_pixbuf-2.0.so.0 => /usr/lib64/libgdk_pixbuf-2.0.so.0 (0x00007f6c78185000)
        libpangoft2-1.0.so.0 => /usr/lib64/libpangoft2-1.0.so.0 (0x00007f6c77f70000)
        libfreetype.so.6 => /usr/lib64/libfreetype.so.6 (0x00007f6c77cbb000)
        libpixman-1.so.0 => /usr/lib64/libpixman-1.so.0 (0x00007f6c77a27000)
        libEGL.so.1 => /usr/lib64/opengl/nvidia/lib/libEGL.so.1 (0x00007f6c77815000)
        libpng16.so.16 => /usr/lib64/libpng16.so.16 (0x00007f6c775df000)
        libz.so.1 => /lib64/libz.so.1 (0x00007f6c773c8000)
        libGL.so.1 => /usr/lib64/opengl/nvidia/lib/libGL.so.1 (0x00007f6c77124000)
        librt.so.1 => /lib64/librt.so.1 (0x00007f6c76f1c000)
        libffi.so.6 => /usr/lib64/libffi.so.6 (0x00007f6c76d13000)
        libpcre.so.1 => /lib64/libpcre.so.1 (0x00007f6c76aa1000)
        libXau.so.6 => /usr/lib64/libXau.so.6 (0x00007f6c7689d000)
        libXdmcp.so.6 => /usr/lib64/libXdmcp.so.6 (0x00007f6c76697000)
        libplc4.so => /usr/lib64/libplc4.so (0x00007f6c76492000)
        libplds4.so => /usr/lib64/libplds4.so (0x00007f6c7628e000)
        libgssapi_krb5.so.2 => /usr/lib64/libgssapi_krb5.so.2 (0x00007f6c76043000)
        libgnutls.so.30 => /usr/lib64/libgnutls.so.30 (0x00007f6c75d0f000)
        libdbus-glib-1.so.2 => /usr/lib64/libdbus-glib-1.so.2 (0x00007f6c75ae8000)
        libresolv.so.2 => /lib64/libresolv.so.2 (0x00007f6c758d1000)
        libmount.so.1 => /lib64/libmount.so.1 (0x00007f6c7567c000)
        libcairo-gobject.so.2 => /usr/lib64/libcairo-gobject.so.2 (0x00007f6c75473000)
        libatk-bridge-2.0.so.0 => /usr/lib64/libatk-bridge-2.0.so.0 (0x00007f6c75244000)
        libepoxy.so.0 => /usr/lib64/libepoxy.so.0 (0x00007f6c74f44000)
        libharfbuzz.so.0 => /usr/lib64/libharfbuzz.so.0 (0x00007f6c74cad000)
        libbz2.so.1 => /lib64/libbz2.so.1 (0x00007f6c74a9d000)
        libGLdispatch.so.0 => /usr/lib64/opengl/nvidia/lib/libGLdispatch.so.0 (0x00007f6c747cf000)
        libGLX.so.0 => /usr/lib64/opengl/nvidia/lib/libGLX.so.0 (0x00007f6c7459f000)
        libbsd.so.0 => /usr/lib64/libbsd.so.0 (0x00007f6c7438a000)
        libkrb5.so.3 => /usr/lib64/libkrb5.so.3 (0x00007f6c740b2000)
        libk5crypto.so.3 => /usr/lib64/libk5crypto.so.3 (0x00007f6c73e7e000)
        libcom_err.so.2 => /lib64/libcom_err.so.2 (0x00007f6c73c7a000)
        libkrb5support.so.0 => /usr/lib64/libkrb5support.so.0 (0x00007f6c73a6e000)
        libkeyutils.so.1 => /lib64/libkeyutils.so.1 (0x00007f6c7386a000)
        libunistring.so.2 => /usr/lib64/libunistring.so.2 (0x00007f6c734f9000)
        libtasn1.so.6 => /usr/lib64/libtasn1.so.6 (0x00007f6c732e6000)
        libnettle.so.6 => /usr/lib64/libnettle.so.6 (0x00007f6c730ae000)
        libhogweed.so.4 => /usr/lib64/libhogweed.so.4 (0x00007f6c72e79000)
        libgmp.so.10 => /usr/lib64/libgmp.so.10 (0x00007f6c72c01000)
        libidn2.so.0 => /usr/lib64/libidn2.so.0 (0x00007f6c729e4000)
        libblkid.so.1 => /lib64/libblkid.so.1 (0x00007f6c7279a000)
        libatspi.so.0 => /usr/lib64/libatspi.so.0 (0x00007f6c72569000)
        libgraphite2.so.3 => /usr/lib64/libgraphite2.so.3 (0x00007f6c7233c000)
        libuuid.so.1 => /lib64/libuuid.so.1 (0x00007f6c72137000)

Покажите emerge -pv gcc

Покажите
emerge -pv gcc

А еще лучше:emerge -1

А еще лучше:

emerge -1 --nodeps linux-headers glibc binutils gcc libtool -pv
uname -a

Знаете что интересно..

Знаете что интересно.. ребутнулся в оффтоп, Вивальди попросил новую версию, накатил. И он ни в какую не запускается. Посмотрел в диспетчере - так и есть. Взлёт и падение. Вот тут на меня закрадываются подозрения, потому что у меня стоит патченный китайцами Xeon, установленный в 775 сокет.

emerge -1 --nodeps

emerge -1 --nodeps linux-headers glibc binutils gcc libtool -pv

These are the packages that would be merged, in order:

[ebuild   R    ] sys-kernel/linux-headers-4.13::gentoo  0 KiB
[ebuild   R    ] sys-libs/glibc-2.25-r5:2.2::gentoo  USE="(multilib) rpc -audit -caps -debug -gd (-hardened) -nscd -profile (-selinux) -suid -systemtap (-vanilla)" 0 KiB
[ebuild   R    ] sys-devel/binutils-2.29.1:2.29.1::gentoo  USE="cxx nls static-libs -multitarget {-test} -vanilla" 0 KiB
[ebuild   R    ] sys-devel/gcc-6.4.0:6.4.0::gentoo  USE="cxx fortran (multilib) nls nptl openmp pch sanitize ssp vtv (-altivec) (-awt) -cilk -debug -doc (-fixed-point) (-gcj) -go -graphite (-hardened) (-jit) (-libssp) -mpx -objc -objc++ -objc-gc -pgo (-pie) -regression-test -vanilla" 0 KiB
[ebuild   R    ] sys-devel/libtool-2.4.6-r4:2::gentoo  USE="-vanilla" 0 KiB

Total: 5 packages (5 reinstalls), Size of downloads: 0 KiB
uname -a
Linux infernal-portal 4.1.0-pf1 #5 SMP PREEMPT Wed Jan 18 22:00:48 MSK 2017 x86_64 Intel(R) Xeon(R) CPU E5450 @ 3.00GHz GenuineIntel GNU/Linux

Это может быть потенциальной проблемой

У тебя версия sys-kernel/linux-headers-4.13 существенно выше, чем версия ядра 4.1.0-pf1.

Это может быть потенциальной проблемой, т.к. системная библиотека может использовать функции, которые ядро не поддерживает. В идеале они должны быть одинаковыми или ядро может быть новее, но не наоборот!

Спасибо. Замечание по делу.

Спасибо. Замечание по делу. Но пересборка ядра не помогла. Ещё раз хочу отметить, что браузер так же и под виндой стал валиться. Может повод связываться с разрабами? Какую инфу только предоставлять.

Поскольку пакет бинарный, то

Поскольку пакет бинарный, то очень может быть, что майнтейнеры собрали его с какими-нибудь архитектурно-зависимыми и/или новомодными фишками (типа ssse3, например), которых твой проц не поддерживает.

Почитай release notes - может там описаны требования к системе. Или спроси у авторов опции компиляции.

sspphheerraa

sspphheerraa написал(а):
Покажите
emerge -pv gcc

[ebuild   R    ] sys-devel/gcc-6.4.0:6.4.0::gentoo  USE="cxx fortran (multilib) nls nptl openmp pch sanitize ssp vtv (-altivec) (-awt) -cilk -debug -doc (-fixed-point) (-gcj) -go -graphite (-hardened) (-jit) (-libssp) -mpx -objc -objc++ -objc-gc -pgo (-pie) -regression-test -vanilla" 0 KiB 

Вроде бы все нормально...

Думая, что надо пересобрать все пакеты, в которые входят эти библиотеки, а потом и сам Вивальди.

SysA написал(а): Думая, что

SysA написал(а):
Думая, что надо пересобрать все пакеты, в которые входят эти библиотеки, а потом и сам Вивальди.

В портежах только EULA бинарник.

Vivaldi стоит давно, кривой

Vivaldi стоит давно, кривой он конечно, но не сегфолтился. Вероятно, патченный китайцами xeon (кстати, не слышал чтоэто за патчение) и есть причина.

Там легким движением руки он

Там легким движением руки он начинает устанавливаться в настольные материнки. Патч - перемычка где-то или около того.

ну навскидку вангую сегфолт

ну навскидку вангую сегфолт при определении набора поддерживаемых инструкций или при hw accel.

Не знаю что изменилось,

Не знаю что изменилось, сначала в оффтопе заработала новая версия. А теперь и на онтопе. Вопрос решился как бы сам собой.

кстати а как его отучить

кстати а как его отучить реагировать на Alt, не в курсе?

Настройки просмотра комментариев

Выберите нужный метод показа комментариев и нажмите "Сохранить установки".